#!/bin/bash

set -e

PROFEAT=profeat
MAKO=mako-render-2.7

cd templates/

echo "Select model variant:"
select variant in nondet hopping heuristic random Cancel; do
    case $variant in
        "Cancel")
            exit 0
            ;;
        *)
            break
            ;;
    esac
done

echo "Select topology:"
select topology in "2x2" "2x2x2" "2xStar" "3x2x2" Cancel; do
    case $topology in
        "Cancel")
            exit 0
            ;;
        *)
            break
            ;;
    esac
done

read -ep "Maximum link capacity? " cap
read -ep "Maximum task size? " task
read -ep "Task size distribution 0.P? " p
read -ep "Maximum counter (0 for no counter)? " counter

name=${variant}_${topology}_${cap}_${task}_${p}_${counter}
$MAKO ${variant}.profeat.template --var=TOPO=$topology --var=CAP=$cap --var=TASK=$task --var=P=0.$p --var=CNT=$counter > ../$name.profeat

cd ..

$PROFEAT -t $name.profeat -o $name.prism

# remove init block
sed -e '/init/,/endinit/d' -e '/init.*endinit/d' $name.prism > $name.prism.tmp && mv $name.prism.tmp $name.prism
