#!/bin/bash

SCRIPTDIR=$(cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)

usage()
{
cat <<-USAGE
usage: plot.sh RESULTDIR
USAGE
}

main()
{
    resultdir=$1
    if [ ! -d "$resultdir" ]; then
        usage
        exit 1
    fi
    resultdir=${resultdir%/}

    mkdir -p plots

    plot $resultdir nodes "MTBDD nodes" nodes

    for prop in $resultdir/*; do
        if [[ ! -d $prop ]]; then continue; fi
        p=$(basename $prop)

        plot $prop time_${p} "Time (without overhead) for property ${p}" 'time-mixed'
        plot $prop real_${p} "Time (real) for property ${p}" 'time-real'
    done
}

plot()
{
    gnuplot -e "resultdir='${1}'; set output 'plots/${2}.svg'; set title '$3'" $SCRIPTDIR/plot/${4}.gpi
}

main "$@"

